Subject: Re: Thoughts on the "branch <b> is not fully merged" error of "git-branch -d"

From: Junio C Hamano <[email-masked]>
Date: Sat, 07 Sep 2024 10:08:20 -0700

Junio C Hamano <[email-masked]> writes:

> Having said all that, I do not mind if somebody wanted to further
> extend builtin/branch.c:branch_merged() so that users can explicitly
> configure a set of reference branches.  "The 'master' and 'maint'
> are the integration branches that are used in this repository.
> Unless the history of a local branch is fully merged to one of
> these, 'git branch -d' of such a local branch will stop." may be a
> reasonable thing to do.

If anybody is interested in doing this, I think the design should
also make sure these branches that are designated as reference
branches are protected from 'git branch -d'.